Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.annotation.instrumentation.asm
Class AsmAnnotationHelper

    java.lang.Object
      org.codehaus.aspectwerkz.annotation.instrumentation.asm.AsmAnnotationHelper

    public class AsmAnnotationHelper

extends Object

Helper visitor to extract Annotations. The visitors are not writing any bytecode and using a Null ClassVisitor / Code Visitor as a target instead.

Author:
  Alexandre Vasseur

Nested Class Summary
`static class` | `AsmAnnotationHelper.ClassAnnotationExtractor` Extracts class level annotations
`static class` | `AsmAnnotationHelper.ConstructorAnnotationExtractor` Constructor annotations extractor
`static class` | `AsmAnnotationHelper.FieldAnnotationExtractor` Field annotations extractor
`static class` | `AsmAnnotationHelper.MethodAnnotationExtractor` Method annotations extractor
`static class` | `AsmAnnotationHelper.NullClassAdapter` A NullClassAdapter that does nothing.
`static class` | `AsmAnnotationHelper.NullCodeAdapter` A NullCodeAdapter that does nothing.

Constructor Summary
`AsmAnnotationHelper()`

Method Summary
`static List` | `extractAnnotations(List annotations, org.objectweb.asm.Attribute attribute, ClassLoader loader)` Helper method to extract Runtime(In)VisibleAnnotations and unwrap custom annotation proxies
`static AnnotationInfo` | `getAnnotationInfo(org.objectweb.asm.attrs.Annotation annotation, ClassLoader loader)` Creates and returns a new annotation info build up from the Java5 annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsmAnnotationHelper

    public AsmAnnotationHelper()

Method Detail

### extractAnnotations

    public static List extractAnnotations(List annotations,
                                          org.objectweb.asm.Attribute attribute,
                                          ClassLoader loader)

  Helper method to extract Runtime(In)VisibleAnnotations and unwrap custom annotation proxies

  Parameters:
    `annotations` -
    `attribute` -
    `loader` -
  Returns:
    annotations list populated

### getAnnotationInfo

    public static AnnotationInfo getAnnotationInfo(org.objectweb.asm.attrs.Annotation annotation,
                                                   ClassLoader loader)

  Creates and returns a new annotation info build up from the Java5 annotation.

  Parameters:
    `annotation` - the ASM annotation abstraction
    `loader` - the class loader that has loaded the proxy class to use
  Returns:
    the annotation info

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.